<template>
  <v-row>
    <v-col>
      <cart-item
        v-for="item in cartItems"
        :key="item.id"
        :item="item"
        :buttons="buttons"
      ></cart-item>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    cartItems: {
      type: Array,
      required: true,
    },
    buttons: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
})
</script>
